using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class CarOwners : DataEntityBase
	{
		public CarOwners()
		{
			base.InitMetaData();
		}

		private System.Int32 _ID;
		public System.Int32 ID
		{
			get
			{
				return this._ID;
			}
			set
			{
				this._ID = value;
				IsChanged = true;
			}
		}

		private System.String _OwnersName;
		public System.String OwnersName
		{
			get
			{
				return this._OwnersName;
			}
			set
			{
				this._OwnersName = value;
				IsChanged = true;
			}
		}

		private System.String _OwnersAdress;
		public System.String OwnersAdress
		{
			get
			{
				return this._OwnersAdress;
			}
			set
			{
				this._OwnersAdress = value;
				IsChanged = true;
			}
		}

		private System.String _OwnersLicenseNo;
		public System.String OwnersLicenseNo
		{
			get
			{
				return this._OwnersLicenseNo;
			}
			set
			{
				this._OwnersLicenseNo = value;
				IsChanged = true;
			}
		}

		private System.DateTime _LicenseNoApprovalDate;
		public System.DateTime LicenseNoApprovalDate
		{
			get
			{
				return this._LicenseNoApprovalDate;
			}
			set
			{
				this._LicenseNoApprovalDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _LicenseNoFromDate;
		public System.DateTime LicenseNoFromDate
		{
			get
			{
				return this._LicenseNoFromDate;
			}
			set
			{
				this._LicenseNoFromDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _LicenseNoToDate;
		public System.DateTime LicenseNoToDate
		{
			get
			{
				return this._LicenseNoToDate;
			}
			set
			{
				this._LicenseNoToDate = value;
				IsChanged = true;
			}
		}

		private System.String _BusinessNo;
		public System.String BusinessNo
		{
			get
			{
				return this._BusinessNo;
			}
			set
			{
				this._BusinessNo = value;
				IsChanged = true;
			}
		}

		private System.DateTime _BusinessNoApprovalDate;
		public System.DateTime BusinessNoApprovalDate
		{
			get
			{
				return this._BusinessNoApprovalDate;
			}
			set
			{
				this._BusinessNoApprovalDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _BusinessNoFromDate;
		public System.DateTime BusinessNoFromDate
		{
			get
			{
				return this._BusinessNoFromDate;
			}
			set
			{
				this._BusinessNoFromDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _BusinessNoToDate;
		public System.DateTime BusinessNoToDate
		{
			get
			{
				return this._BusinessNoToDate;
			}
			set
			{
				this._BusinessNoToDate = value;
				IsChanged = true;
			}
		}

		private System.String _BusinessNature;
		public System.String BusinessNature
		{
			get
			{
				return this._BusinessNature;
			}
			set
			{
				this._BusinessNature = value;
				IsChanged = true;
			}
		}

		private System.String _Corporate;
		public System.String Corporate
		{
			get
			{
				return this._Corporate;
			}
			set
			{
				this._Corporate = value;
				IsChanged = true;
			}
		}

		private System.String _Phone;
		public System.String Phone
		{
			get
			{
				return this._Phone;
			}
			set
			{
				this._Phone = value;
				IsChanged = true;
			}
		}

		private System.String _CreateUser;
		public System.String CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}

		private System.String _UpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return this._UpdateUser;
			}
			set
			{
				this._UpdateUser = value;
				IsChanged = true;
			}
		}

		private System.DateTime _UpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return this._UpdateDateTime;
			}
			set
			{
				this._UpdateDateTime = value;
				IsChanged = true;
			}
		}

		private System.Int16 _Flag;
		public System.Int16 Flag
		{
			get
			{
				return this._Flag;
			}
			set
			{
				this._Flag = value;
				IsChanged = true;
			}
		}

		private System.DateTime _FlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return this._FlagDateTime;
			}
			set
			{
				this._FlagDateTime = value;
				IsChanged = true;
			}
		}
	}
}